subplot(2,1,1), plot(Time_tot_updated_model_patient2, BG_tot_updated_model_patient2)
subplot(2,1,2), plot(y.time, y.signals.values)

BG_model = iddata(BG_tot_updated_model_patient2, u_vector_tot_updated_model_patient2, Ts, 'SamplingInstants', Time_tot_updated_model_patient2, 'Name', 'Blood glucose model');


BG_tot_estimated = y.signals.values+5

figure('Name', 'Comparison with estimated K_is for patient 2');
plot(y.time, BG_tot_estimated)
%plot(y.time, y.signals.values)
hold on
plot(Time_tot_updated_model_patient2, BG_tot_updated_model_patient2, 'r')
xlabel('Time [min]');
ylabel('Blood glucose [mmol/L]');
legend('Estimated blood glucose', 'Measured blood glucose')

figure;
compare(BG_model, BG_tot_estimated);

%figure('Name', 'Comparison between real life values and model output with estimated insulin sensitivity parameters');
%%plot(y.time, y.signals.values)
%hold on 
%plot(Time_tot_patient2, BG_tot_patient2, 'r');
%hold on 
%xlabel('Time [min]');
%ylabel('Blood glucose [mmol/L]');
%legend('Measured blood glucose', 'Model output');