Ts = 0;
z = iddata(BG_patient2_day2, u_vector_patient2_day2, Ts, 'SamplingInstants', Time_patient2_day2, 'Name', 'Blood glucose model');
set(z, 'InputName', {'Insulin dosage', 'Meal glucose contribution'}); 
set(z, 'InputUnit', {'mikromol/min', 'mmol/min'});
set(z, 'OutputName', 'Blood glucose', 'OutputUnit', 'mmol/L');
set(z, 'TimeUnit', 'min');

figure('Name', [z.Name ': Patient 2 Day 2: Insulin input -> Blood glucose output']);
plot(z(:, 1, 1));   % Plot input-output pair (Insulin -> Blood glucose).

figure('Name', [z.Name ': Patient 2 Day 2: Meal glucose input -> Blood glucose output']);
plot(z(:, 1, 2));   % Plot input-output pair (Meal -> Blood glucose).
