Ts = 0;
z = iddata(BG_tot_patient2, u_vector_tot_patient2, Ts, 'SamplingInstants', Time_tot_patient2, 'Name', 'Blood glucose model');
set(z, 'InputName', {'Insulin dosage', 'Meal glucose contribution'}); 
set(z, 'InputUnit', {'mikromol/min', 'mmol/min'});
set(z, 'OutputName', 'Blood glucose', 'OutputUnit', 'mmol/L');
set(z, 'TimeUnit', 'min');

figure('Name', [z.Name 'Patient 2 All 4 days: Insulin input -> Blood glucose output']);
plot(z(:, 1, 1));   % Plot input-output pair (Insulin -> Plasma glucose).

figure('Name', [z.Name 'Patient 2 All 4 days: Meal glucose input -> Blood glucose output']);
plot(z(:, 1, 2));   % Plot input-output pair (Meal -> Blood glucose).
