%iterate through the measured data of patient 1, and estimate a new K_is
%approxematly every 3rd hour.

%Clear online estimation data vectors to be used
Time_online_patient2 = 0;
BG_online_patient2 = 0;
u_online_patient2 = 0;
Eg_online_patient2 = 0;
u_vector_online_patient2 = 0;
clear Kis_online;

%Initial
initial_BG = BG_tot_patient2(1);

%iteration variables
j = 1;
i = 1;

%
while (i+50)<=length(Time_tot_patient2)
    l = 1;
    %Consider 50 samples at a time = 50*5 = 250 min = 4,16 h
    for k=i:i+50
        Time_online_patient2(l) = Time_tot_patient2(k);
        BG_online_patient2(l)   = BG_tot_patient2(k);
        u_online_patient2(l)    = u_tot_patient2(k);
        Eg_online_patient2(l)   = Eg_tot_patient2(k);
        l = l+1;
    end
    %convert to column vector
    Time_online_patient2 = Time_online_patient2';
    BG_online_patient2   = BG_online_patient2';
    u_online_patient2 = u_online_patient2';
    Eg_online_patient2 = Eg_online_patient2';
    
    %set u_vector (for input to iddata_online_patient2.m),
    %and estimate K_is.
    u_vector_online_patient2 = [u_online_patient2, Eg_online_patient2];
    iddata_online_patient2;
    identify_online;
    
    %Save the estimated value of K_is
    Kis_online_patient2(j) = getpar(themodel)
    
    %Set initial blood glucose to the last value of this data set.
    initial_BG = BG_online_patient2(l-1);
    
    %update iteration variables
    j = j+1;
    i = i+5;
    
    %Set all online estimation vectors to zero before next iteration
    Time_online_patient2 = 0;
    BG_online_patient2 = 0;
    u_online_patient2 = 0;
    Eg_online_patient2 = 0;
    u_vector_online_patient2 = 0;
end


