
clear K_is_patient2;
Time_tot_updated_model_patient2 = 0;
BG_tot_updated_model_patient2 = 0;
u_tot_updated_model_patient2 = 0;
Eg_tot_updated_model_patient2 = 0;

    %Constant parameters
    V_G = 9.91;
    T_i = 0.152*60;
    T_YG = 0.194*60; 
    T_GY = 0.194*60;
    K_YG = 0.952;
  
    %Patient specific parameters found by off line estimation (see
    %identify_insulin_parameters.m):
    
    %Parameters for patient 2
    T_xi = 115.8;
    T_m = 133.9;
    K_i = 0.0233;

%convert online updated parameter from cell to number
j = 1;
i = 1;
while j<=length(Kis_online_patient2)
    K_is_analysis(j) = cell2num(Kis_online_patient2(j));
    for i=i:i+5
        K_is_patient2(i) = cell2num(Kis_online_patient2(j));
    end
j = j+1;  
end

for l=1:length(K_is_patient2)
    if K_is_patient2(l)<=0
        K_is_patient2(l) = 0;
    end
end


for l=1:length(K_is_analysis)
    if K_is_analysis(l)<=0
        K_is_analysis(l) = 0;
    end
end


for i=1:length(Kis_online_patient2)
    Kis_smooth(i) = cell2num(Kis_online_patient2(i));
end

%time vector for the total estimation interval
Time_tot_updated_model_patient2 =Time_tot_patient2(1:length(K_is_patient2));
%Output vector for the total estimation interval
BG_tot_updated_model_patient2 = BG_tot_patient2(1:length(K_is_patient2));
%Input vectors for the total estimateion interval
u_tot_updated_model_patient2 = u_tot_patient2(1:length(K_is_patient2));
Eg_tot_updated_model_patient2 = Eg_tot_patient2(1:length(K_is_patient2));

u_vector_tot_updated_model_patient2 = [u_tot_updated_model_patient2, Eg_tot_updated_model_patient2];

K_is_patient2 = K_is_patient2'
figure('Name', 'Estimated K_is for patient 2');
plot(Time_tot_updated_model_patient2, K_is_patient2)
xlabel('Time [min]');
ylabel('K_{is}');
title('Estimated K_{is} for patient 2');
