%%%%%%%%%%%%%%Blood glucose value for all days%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BG_tot_patient1 = [BG_patient1_day1; BG_patient1_day2; BG_patient1_day3; BG_patient1_day4];

%%%%%%%%%%%Creating a time vector for all days in total%%%%%%%%%%%%%%%%%%%%
Time_patient1_day1_rel = Time_patient1_day1;

Time_patient1_day2_rel = Time_patient1_day2;
for i=1:length(Time_patient1_day2)
    Time_patient1_day2_rel(i) = Time_patient1_day2_rel(i)+ 1436;
end

Time_patient1_day3_rel = Time_patient1_day3;
for i=1:length(Time_patient1_day3)
    Time_patient1_day3_rel(i) = Time_patient1_day3_rel(i)+ 2*1436;
end

Time_patient1_day4_rel = Time_patient1_day4;
for i=1:length(Time_patient1_day4)
    Time_patient1_day4_rel(i) = Time_patient1_day4_rel(i)+ 3*1436;
end

Time_tot_patient1 = [Time_patient1_day1_rel; Time_patient1_day2_rel; Time_patient1_day3_rel; Time_patient1_day4_rel];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%Creating input vector for all days in total%%%%%%%%%%%%
u_tot_patient1 = [u_patient1_day1; u_patient1_day2; u_patient1_day3; u_patient1_day4];
Eg_tot_patient1 = [Eg_patient1_day1; Eg_patient1_day2; Eg_patient1_day3; Eg_patient1_day4];

%u_vectortot_patient1 = [u_tot_patient1*500, Eg_tot_patient1];  %% Forklar triksing med enheter her!!!!!!
u_vector_tot_patient1 = [u_tot_patient1, Eg_tot_patient1];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%Ploting inputs and output for all days%%%%%%%%%%%%%%%%%%%%%
figure('Name', 'Patient 1 All 4 days');
subplot(3,1,1), plot(Time_tot_patient1, BG_tot_patient1) 
xlabel('Time [min]');
title('Blood glucose all 4 days patient 1 [mmol/L]');
subplot(3,1,2), plot(Time_tot_patient1, u_tot_patient1) 
xlabel('Time [min]');
title('Insulin input all 4 days patient 1 [mikroU/min]');
subplot(3,1,3), plot(Time_tot_patient1, Eg_tot_patient1) 
xlabel('Time [min]');
title('Meal input all 4 days patient 1 [mmol/min]');


