%iterate through the measured data of patient 1, and estimate a new K_is
%approxematly every 3rd hour.


%Define initial control parameters
P = 300;
I = 0;
D = 0;
InsulinInjection = 0;

%Initial
initial_BG = BG_tot_patient2(1);

%Constant parameters
V_G = 9.91;
T_i = 0.152*60;
T_YG = 0.194*60; 
T_GY = 0.194*60;
K_YG = 0.952;
  
%Patient specific parameters found by off line estimation (see
%identify_insulin_parameters.m):
    
%Parameters for patient 2
T_xi = 108.6;
T_m = 147.0;
K_i = 0.0202;

t = 1:(Time_tot_patient2((length(Eg_tot_patient2))))/(length(Eg_tot_patient2)):(Time_tot_patient2((length(Eg_tot_patient2))));
t2 = 1:1:(Time_tot_patient2((length(Eg_tot_patient2)-5)));

%create feed forward for meal input E_g
for a=1:(length(Eg_tot_patient2)-5)
    Eg_FF(a) = Eg_tot_patient2(a+5);
end

%Eg_FF = interp1(t,Eg_FF,t2);

i = 0;
for a=1:length(Eg_FF)
    
    if Eg_FF(a) > 3
        i = i+1;
        FeedForward(a) = Eg_FF(a)*380;
    else 
        i = 0;
        FeedForward(a) = Eg_FF(a)*0.1;
        
    end
    if i>1
        FeedForward(a) = 0;
    end
    
end
%*180;
%*Eg_tot_patient1(a+24)*Eg_tot_patient1(a+24);

FeedForward = FeedForward';
%Eg_FF2 = Eg_FF2';
%Time_feedForward = (1:length(FeedForward));   
Time_feedForward = Time_tot_patient2(1:length(FeedForward));
Time_feedForward = Time_feedForward;


%Clear online parameter estimation vectors
clear u_estKis;
clear BG_estKis;
clear Time_estKis;
clear u_vector_estKis;
clear K_is_num;
teller = 0;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%