Ts = 0;
z = iddata(BG_insulin_parameters_patient2, u_vector_insulin_parameters_patient2, Ts, 'SamplingInstants', Time_insulin_parameters_patient2, 'Name', 'Blood glucose model');
set(z, 'InputName', {'Insulin dosage', 'Meal glucose contribution'}); 
set(z, 'InputUnit', {'\muU/min', 'mmol/min'});
set(z, 'OutputName', 'Blood glucose', 'OutputUnit', 'mmol/L');
set(z, 'TimeUnit', 'min');

figure('Name', [z.Name ': Data set used for off line estimation: Insulin input -> Blood glucose output']);
plot(z(:, 1, 1));   % Plot input-output pair (Insulin -> Blood glucose).

figure('Name', [z.Name ': Data set used for off line estimation: Meal glucose input -> Blood glucose output']);
plot(z(:, 1, 2));   % Plot input-output pair (Meal -> Blood glucose).
