%%%%%%%%%%%%%%Blood glucose value for all days%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BG_tot_patient2 = [BG_patient2_day1; BG_patient2_day2; BG_patient2_day3; BG_patient2_day4];

%%%%%%%%%%%Creating a time vector for all days in total%%%%%%%%%%%%%%%%%%%%
Time_patient2_day1_rel = Time_patient2_day1;

Time_patient2_day2_rel = Time_patient2_day2;
for i=1:length(Time_patient2_day2)
    Time_patient2_day2_rel(i) = Time_patient2_day2_rel(i)+ 1437;
end

Time_patient2_day3_rel = Time_patient2_day3;
for i=1:length(Time_patient2_day3)
    Time_patient2_day3_rel(i) = Time_patient2_day3_rel(i)+1437+1436;
end

Time_patient2_day4_rel = Time_patient2_day4;
for i=1:length(Time_patient2_day4)
    Time_patient2_day4_rel(i) = (Time_patient2_day4_rel(i)-585)+1436+1437+1106;
end

Time_tot_patient2 = [Time_patient2_day1_rel; Time_patient2_day2_rel; Time_patient2_day3_rel; Time_patient2_day4_rel];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%Creating input vector for all days in total%%%%%%%%%%%%
u_tot_patient2 = [u_patient2_day1; u_patient2_day2; u_patient2_day3; u_patient2_day4];
Eg_tot_patient2 = [Eg_patient2_day1; Eg_patient2_day2; Eg_patient2_day3; Eg_patient2_day4];

%u_vectortot = [u_tot*500, Eg_tot];   %Forkar triksing med enheter her!!!!!!!!!
u_vector_tot_patient2 = [u_tot_patient2, Eg_tot_patient2]; 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%Ploting inputs and output for all days%%%%%%%%%%%%%%%%%%%%%
figure('Name', 'Patient 2 All 4 days');
subplot(3,1,1), plot(Time_tot_patient2, BG_tot_patient2) 
xlabel('Time [min]');
title('Blood glucose all 4 days patient 2 [mmol/L]');
subplot(3,1,2), plot(Time_tot_patient2, u_tot_patient2) 
xlabel('Time [min]');
title('Insulin input all 4 days patient 2 [mikroU/min]');
subplot(3,1,3), plot(Time_tot_patient2, Eg_tot_patient2) 
xlabel('Time [min]');
title('Meal input all 4 days patient 2 [mmol/min]');




