function y = decissionrulesFF(u)
% This block supports the Embedded MATLAB subset.
% See the help menu for details. 

%persistent Active_ins;
%persistent ins_counter;

%Keep insulin values for the last 10 minutes
%if isempty(ins_counter) || ins_counter > 10
%   ins_counter = 1;
%end

%if(isempty(Active_ins))
%   Active_ins = [0 0 0 0 0 0 0 0 0 0]; 
%end

%Active_ins(ins_counter) = u(3);
%ins_counter = ins_counter + 1;
%insulin = sum(Active_ins);

%Decide which control structure based on Y(t)= u(1) and dY(t) = u(2)
if u(1)< 5 || u(1)<7.0 && u(2)<0 || u(1)<20.0 && u(2)<-0.001 || u(2)<-0.0002 
    %|| insulin>100000 
    %|| u(2)>0.05 
    % red zone downwards
    % Set insulin injection to zero:
    y = 0;
elseif u(1)>7 && u(2)>0 || 7<u(1)<10 && -0.001<u(2)<0 
    %u(1)>9 && u(2)>0 
    %orange zone 
    y = 1; %insulin injection active
    
    %Set control parameters to parameter set 2 
   % P = 70;
    %I = 0.01;
    %D = 0;
else 
    %yellow zone
     y = 2; %insulin injection active
     
    %Set control parameters to parameter set 1
    %P = 70;
    %I = 0;
    %D = 0;
    
end


%Ensure that insulin does not "build up" in the subcutaneous layer
%if insulin > 10000
    %If injected insulin over the last ten minutes exceeds limit
    %set insulin injection to zero
%    y = 0;
%end
end